%define _rootdir /usr/local/opmon
%define _modname opexporter

Summary: Seagull opexporter module
Name: opmon-opexporter
Version: %{_op_major_version}.%{_op_minor_version}
Release: %{_op_release}
License: Proprietary
Group: Applications/System
URL: http://www.opservices.com.br
Packager: OpServices <info@opservices.com.br>
Vendor: OpServices, http://www.opservices.com.br
BuildArch: noarch 
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: opmon-wsconnector >= %{_op_major_version}
Provides: opmon-opexporter
Obsoletes: opservices-opexporter

%description
OpMon development framework

%prep
%setup 

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_rootdir}/share/seagull/modules/%{_modname} %{buildroot}%{_rootdir}/db
%{__cp} -rp .  %{buildroot}%{_rootdir}/share/seagull/modules/%{_modname}/
%{__cp} db/%{_modname}.sql %{buildroot}%{_rootdir}/db/

%post
# Database update
/usr/bin/php /usr/local/opmon/db/updatedb.php opexporter.sql

%preun

%postun


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, opuser, apache, 0755)
%{_rootdir}/share/seagull/modules/%{_modname}/
%{_rootdir}/db/%{_modname}.sql
